import aboutUsBanner from '~/images/about-us-banner.png'
import aboutUsBg from '~/images/about-us-bg.png'
import aboutUs01 from '~/images/about-us-01.jpg'
import aboutUs02 from '~/images/about-us-02.jpg'
import aboutUs03 from '~/images/about-us-03.jpg'
import aboutUs04 from '~/images/about-us-04.jpg'
import AppOddSection from '~/components/templates/app-odd-section'
import dummyOdd01 from '~/images/dummy-odd-01.jpg'
import dummyOdd02 from '~/images/dummy-odd-02.jpg'
import plusCircle from '~/images/plus-circle.svg'
import checkCircle from '~/images/check-circle.svg'
import shoppingBag from '~/images/shopping-bag.svg'

export default function AboutUs() {
  return (
    <div>
      <div className="relative mb-10 lg:mb-52">
        <div className="absolute inset-0 z-10 bg-primary mix-blend-color" />
        <img src={aboutUsBanner} className="block w-full" alt="" />
        <img src={aboutUsBg} className="absolute top-0 z-10" alt="" />
        <div className="lg:absolute lg:top-[35%] w-full lg:mt-0 -mt-16">
          <div className="container mx-auto px-4">
            <div className="grid grid-cols-2 md:grid-cols-4 gap-4 lg:gap-8 relative z-20">
              <div className="relative overflow-hidden border-4 lg:border-8 rounded-2xl border-white lg:rotate-12">
                <div className="absolute inset-0 z-10 bg-primary/40 mix-blend-color" />
                <img src={aboutUs01} className="w-full lg:aspect-square rounded-xl" alt="" />
              </div>
              <div className="relative overflow-hidden border-4 lg:border-8 rounded-2xl border-white lg:-rotate-6 lg:top-10">
                <div className="absolute inset-0 z-10 bg-primary/40 mix-blend-color" />
                <img src={aboutUs02} className="w-full lg:aspect-square rounded-xl" alt="" />
              </div>
              <div className="relative overflow-hidden border-4 lg:border-8 rounded-2xl border-white lg:rotate-6">
                <div className="absolute inset-0 z-10 bg-primary/40 mix-blend-color" />
                <img src={aboutUs03} className="w-full lg:aspect-square rounded-xl" alt="" />
              </div>
              <div className="relative overflow-hidden border-4 lg:border-8 rounded-2xl border-white lg:-rotate-12 lg:-left-5">
                <div className="absolute inset-0 z-10 bg-primary/40 mix-blend-color" />
                <img src={aboutUs04} className="w-full lg:aspect-square rounded-xl" alt="" />
              </div>
            </div>
          </div>
        </div>
      </div>
      <div className="text-center relative z-20 space-y-4 container mx-auto px-4">
        <h3 className="font-bold text-2xl lg:text-6xl mb-8">
          Benim Ustam ile Güçlü ve <br /> Avantajlı Bir Deneyim!
        </h3>
        <p className="lg:text-lg">
          Otomotiv sektöründe uzun yıllara dayanan deneyimimizle, tamirhane ustalarının işlerini
          kolaylaştırmak, güvenilir yedek parçalara hızlıca ulaşmalarını sağlamak ve yaptıkları
          işlemlerden maksimum avantaj elde etmelerine yardımcı olmak için Benim Ustam platformunu
          geliştirdik.
        </p>
        <p className="lg:text-lg">
          Günümüzde ustaların iş süreçleri her zamankinden daha yoğun ve rekabetçi. Orijinal yedek
          parça bulmak, doğru ürüne ulaşmak ve müşteri memnuniyetini sağlamak için büyük bir çaba
          harcanıyor. İşte tam da bu noktada Benim Ustam devreye giriyor!
        </p>
        <p className="lg:text-lg">
          Platformumuz, orijinal parça sorgulama, puan kazanımı ve avantajlı hediye sistemi ile
          işinizi daha verimli ve kazançlı hale getirir. Amacımız, siz değerli ustalara sadece yedek
          parça sunmak değil, aynı zamanda emeğinizin karşılığını almanızı sağlayarak sektörde daha
          güçlü olmanıza destek olmaktır.
        </p>
        <p className="lg:text-lg">
          Güçlü altyapımız, kullanıcı dostu arayüzümüz ve sürekli yenilenen avantajlarımız ile
          tamirhane ustalarına pratik, güvenilir ve kazançlı bir deneyim sunuyoruz. Siz de Benim
          Ustam’a katılın, işinizi büyütürken avantajlardan faydalanın!
        </p>
      </div>
      <AppOddSection
        items={[
          {
            imageUrl: dummyOdd01,
            title: 'Vizyonumuz',
            description:
              'Müşterileri için en iyi değeri ve mobilite çözümlerini yaratan lider otomotiv şirketi olmak.',
            badge: {
              label: 'Hakkımızda',
              type: 'secondary'
            }
          },
          {
            imageUrl: dummyOdd02,
            title: 'Misyonumuz',
            description:
              'Toplumun mobilite ihtiyaçlarına en uygun ürün ve hizmetleri sunarak yaşam kalitesini yükseltmek.',
            badge: {
              label: 'Hakkımızda',
              type: 'primary'
            }
          }
        ]}
        sections={[
          {
            icon: plusCircle,
            title: 'Türkiye’nin En İyi',
            description: 'Otomotiv AR-GE Merkezi'
          },
          {
            icon: checkCircle,
            title: '450.000',
            description: 'Araç Üretim Kapasitesi'
          },
          {
            icon: shoppingBag,
            title: '1.000.000 m2',
            description: 'Faaliyet Alanı'
          }
        ]}
      />
    </div>
  )
}
